<template>
  <div>
    <div id="divPlugin" :style="`width:${width};height:${height}`"></div>
  </div>
</template>
<script>
import { WebVideo } from './WebVideo.js'
export default {
  props: {
    json: {
      type: Object,
      default: function() {
        return {
          deviceport: '8000',
          rtspport: '554',
          ip: '192.168.1.215',
          port: '80',
          username: 'admin',
          password: 'a1234567'
        }
      }
    },
    width: {
      type: String,
      default: '550px'
    },
    height: {
      type: String,
      default: '320px'
    }
  },
  data() {
    return {
      webVideo: {}
    }
  },
  methods: {
    Init() {
      console.log('进入初始化插件方法')
      this.webVideo.init()
      this.$nextTick(() => {
        this.LonginPlay()
      })
    },
    /** 登录并播放视频 */
    LonginPlay() {
      this.webVideo.clickLogin()
    }
  },
  mounted() {
    console.log(this.json, 'this.json')
    this.webVideo = new WebVideo(this.json)
    this.$nextTick(() => {
      this.Init()
    })
  },
  watch: {
    json: {
      handler(newVal, oldVal) {
        console.log(oldVal, 'oldVal', newVal)
        if (newVal !== oldVal) {
          this.webVideo = new WebVideo(newVal)
          this.$nextTick(() => {
            this.Init()
          })
        }
      },
      deep: true
    }
  }
}
</script>
<style>
</style>
